Bug 855584 - SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib64/python2.7.
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:498e2a1f02f576e873f45478840...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 02:53 EDT by Jinto Jose
Modified: 2013-08-01 08:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-09 02:53 EDT, Jinto Jose
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-09 02:53 EDT, Jinto Jose
no flags Details

  None (edit)
Description Jinto Jose 2012-09-09 02:53:09 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.3.4-5.fc17.x86_64

description:
:SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib64/python2.7.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed write access on the python2.7 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep system-config-f /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:firewallgui_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:lib_t:s0
:Target Objects                /usr/lib64/python2.7 [ dir ]
:Source                        system-config-f
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-6.fc17.x86_64
:Target RPM Packages           python-libs-2.7.3-6.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May
:                              7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   23
:First Seen                    2012-09-09 01:22:30 IST
:Last Seen                     2012-09-09 01:22:30 IST
:Local ID                      a0bc8f23-54c8-4f9f-919b-f7ff6611604a
:
:Raw Audit Messages
:type=AVC msg=audit(1347133950.875:130): avc:  denied  { write } for  pid=19872 comm="system-config-f" name="python2.7" dev="sda8" ino=140050 scontext=system_u:system_r:firewallgui_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1347133950.875:130): arch=x86_64 syscall=unlink success=no exit=EACCES a0=7fffdc00f5c0 a1=242a8 a2=500e7372 a3=7fdab8e76020 items=0 ppid=19871 pid=19872 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=system-config-f exe=/usr/bin/python2.7 subj=system_u:system_r:firewallgui_t:s0-s0:c0.c1023 key=(null)
:
:Hash: system-config-f,firewallgui_t,lib_t,dir,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Jinto Jose 2012-09-09 02:53:12 EDT
Created attachment 611163 [details]
File: type
Comment 2 Jinto Jose 2012-09-09 02:53:15 EDT
Created attachment 611164 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-10 02:35:52 EDT
This looks like s-c-firwall is trying to write out an optimized python file under /usr/lib/python2.7

Could you run s-c-firewall as root for your terminal and see if it creates content in /var/lib/python2.7.
Comment 4 Fedora End Of Life 2013-07-04 00:10:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 08:54:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.